Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5170 - syslogd leaks memory
Summary: syslogd leaks memory
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sysklogd
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-16 21:06 UTC by jjs
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-17 14:30:22 UTC


Attachments (Terms of Use)

Description jjs 1999-09-16 21:06:42 UTC
Sometimes I see syslogd process which has grown very big.
It might have RSS size of about 90MB. Normally syslogd's RSS
size is about 1MB.

I am using syslogd to save logs from few routers to files.
(-r option enabled in startup script)
I receive about 10MB of log per day. I have to restart
syslogd about every two weeks (when it takes about 90MB of
memory)

Comment 1 Bill Nottingham 1999-09-17 14:30:59 UTC
Upgrade to the latest glibc from Raw Hide, or turn off
nis & nisplus in /etc/nsswitch.conf.


Note You need to log in before you can comment on or make changes to this bug.